sessions(3)

NAME
sessions - RTP sessions.

SYNOPSIS

  Classes

class TRTPSessionBase< RTPDataChannel, RTCPChannel, ServiceQueue >
class SingleThreadRTPSession< RTPDataChannel, RTCPChannel, ServiceQueue >
This template class adds the threading aspect to the RTPSessionBase template in one of the many possible ways.
class RTPSessionBase
Generic RTP protocol stack for exchange of realtime data.

  Typedefs

typedef SingleThreadRTPSession RTPSession
Uses two pairs of sockets for RTP data and RTCP transmission/reception.
typedef RTPSession RTPSocket
Alias for RTPSession.
typedef SingleThreadRTPSession< SymmetricRTPChannel, SymmetricRTPChannel > SymmetricRTPSession
Uses one pair of sockets, (1) for RTP data and (2) for RTCP transmission/reception.

Detailed Description

Typedef Documentation

  typedef SingleThreadRTPSession RTPSession

Uses two pairs of sockets for RTP data and RTCP transmission/reception. UDP/IPv4 RTP Session scheduled by one thread of execution.

Examples
audiorx.cpp, audiotx.cpp, ccrtptest.cpp, rtphello.cpp, rtplisten.cpp, and rtpsend.cpp.

  typedef RTPSession RTPSocket

Alias for RTPSession.

  typedef SingleThreadRTPSession<SymmetricRTPChannel, SymmetricRTPChannel> SymmetricRTPSession

Uses one pair of sockets, (1) for RTP data and (2) for RTCP transmission/reception. Symmetric UDP/IPv4 RTP session scheduled by one thread of execution.

Author

Generated automatically by Doxygen for ccRTP from the source code.